# _HTTPConnTestHandlerFactory
<span class="source-link">[[Source]](src/net-http/_test.md#L387)</span>
```pony
class val _HTTPConnTestHandlerFactory is
  HandlerFactory ref
```

#### Implements

* [HandlerFactory](net-http-HandlerFactory) ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_test.md#L390)</span>


```pony
new val create(
  h': TestHelper val)
: _HTTPConnTestHandlerFactory val^
```
#### Parameters

*   h': [TestHelper](ponytest-TestHelper) val

#### Returns

* [_HTTPConnTestHandlerFactory](net-http-_HTTPConnTestHandlerFactory) val^

---

## Public fields

### let h: [TestHelper](ponytest-TestHelper) val
<span class="source-link">[[Source]](src/net-http/_test.md#L388)</span>



---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-http/_test.md#L393)</span>


```pony
fun box apply(
  session: HTTPSession tag)
: HTTPHandler ref^
```
#### Parameters

*   session: [HTTPSession](net-http-HTTPSession) tag

#### Returns

* [HTTPHandler](net-http-HTTPHandler) ref^

---

